Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.mail.event
Class FolderAdapter

    java.lang.Object
      |
      +--javax.mail.event.FolderAdapter

All Implemented Interfaces:
  java.util.EventListener, FolderListener

public abstract class FolderAdapter
extends java.lang.Object
implements FolderListener

The adapter which receives Folder events. The methods in this class are empty; this class is provided as a convenience for easily creating listeners by extending this class and overriding only the methods of interest.

Constructor Summary
`FolderAdapter()`

Method Summary
`void` | `folderCreated(FolderEvent e)` Invoked when a Folder is created.
`void` | `folderDeleted(FolderEvent e)` Invoked when a folder is deleted.
`void` | `folderRenamed(FolderEvent e)` Invoked when a folder is renamed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FolderAdapter

    public FolderAdapter()

Method Detail

### folderCreated

    public void folderCreated(FolderEvent e)

  Description copied from interface: `FolderListener`
  Invoked when a Folder is created.
  Specified by:
    `folderCreated` in interface `FolderListener`

### folderRenamed

    public void folderRenamed(FolderEvent e)

  Description copied from interface: `FolderListener`
  Invoked when a folder is renamed.
  Specified by:
    `folderRenamed` in interface `FolderListener`

### folderDeleted

    public void folderDeleted(FolderEvent e)

  Description copied from interface: `FolderListener`
  Invoked when a folder is deleted.
  Specified by:
    `folderDeleted` in interface `FolderListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD